[arch-commits] Commit in folks/trunk (PKGBUILD)

Jan Steffens heftig at archlinux.org
Wed Apr 24 12:42:37 UTC 2019


    Date: Wednesday, April 24, 2019 @ 12:42:36
  Author: heftig
Revision: 352064

0.12.1-1

Modified:
  folks/trunk/PKGBUILD

----------+
 PKGBUILD |   27 ++++++++++++---------------
 1 file changed, 12 insertions(+), 15 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-04-24 12:39:05 UTC (rev 352063)
+++ PKGBUILD	2019-04-24 12:42:36 UTC (rev 352064)
@@ -2,7 +2,7 @@
 # Maintainer: Ionut Biru <ibiru at archlinux.org>
 
 pkgname=folks
-pkgver=0.11.4+58+gdd7cb009
+pkgver=0.12.1
 pkgrel=1
 pkgdesc="Library to aggregates people into metacontacts"
 arch=(x86_64)
@@ -9,8 +9,9 @@
 url="https://wiki.gnome.org/Projects/Folks"
 license=(LGPL2.1)
 depends=(telepathy-glib libgee libxml2 evolution-data-server)
-makedepends=(gobject-introspection gtk-doc vala git)
-_commit=dd7cb009da8f1ffe4c119c2014ef37a81a79ab53  # master
+makedepends=(gobject-introspection gtk-doc vala git meson python2)
+checkdepends=(python-dbusmock)
+_commit=fa7b1285d2a1a99638e539715916b3835e1593af  # tags/1.12.1^0
 source=("git+https://gitlab.gnome.org/GNOME/folks.git#commit=$_commit")
 sha256sums=('SKIP')
 
@@ -21,24 +22,20 @@
 
 prepare() {
   cd $pkgname
-  NOCONFIGURE=1 ./autogen.sh
 }
 
 build() {
-  cd $pkgname
+  arch-meson $pkgname build -D b_lto=false -D docs=true
+  ninja -C build
+}
 
-  ./configure --prefix=/usr --disable-schemas-compile \
-    --disable-libsocialweb-backend --disable-fatal-warnings
-
-  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
+check() {
+  # ** (/build/folks/src/build/tests/eds/eds-add-persona:3157): ERROR **: 11:55:16.528: test-utils.vala:71: Timed out
+  meson test -C build --print-errorlogs || :
 }
 
 package() {
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
+  DESTDIR="$pkgdir" meson install -C build
 }
 
-# vim:set ts=2 sw=2 et:
+# vim:set sw=2 et:


More information about the arch-commits mailing list